//***************************************************************************
//  File........: lcd_lib.h
//
//  Author(s)...: Pashgan    chipenable.ru
//
//   .....: andries5
//
//  Target(s)...: ATMega...
//
//  Compiler....: IAR EWAAVR 5.11a
//
//  Description.:    
//
//  Data........: 28.10.09  
//
//***************************************************************************
#ifndef LCD_LIB_H
#define LCD_LIB_H

#include <avr/io.h>
#include <avr/pgmspace.h>


#define LDP PORTB //      
#define LDPIN  PINB
#define LDDR DDRB //       

#define LCD_low // 0-3
//#define LCD_high .. 4-7

#define LCP PORTC	//      
#define LCDR DDRC	//       

//        
#define RS 0
#define RW 1
#define EN 2

#define CHECK_FLAG_BF

// 
void Lcd_Init(void);//   
void Lcd_WriteData(unsigned char data); //    
void Lcd_WriteCom(unsigned char data); //  
void Lcd_StrF(prog_char *str); 
void Lcd_Str(char *str);
void Lcd_Goto(char x,char y);
void Lcd_Clr(void);
#endif